org.osgi.resource

## Interface Wire

All Known Subinterfaces:
  BundleWire

All Known Implementing Classes:
  BundleWireImpl

    @ConsumerType
    public interface Wire

A wire connecting a `Capability` to a `Requirement`.

Instances of this type must be effectively immutable. That is, for a given instance of this interface, the methods defined by this interface must always return the same result.

Author:
  $Id: a0d1c39e16788708ffab9bb00707554f97f09998 $

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `equals(Object obj)` Compares this `Wire` to another `Wire`.
`Capability` `getCapability()` Returns the `Capability` for this wire.
`Resource` `getProvider()` Returns the resource providing the `capability`.
`Requirement` `getRequirement()` Returns the `Requirement` for this wire.
`Resource` `getRequirer()` Returns the resource who `requires` the `capability`.
`int` `hashCode()` Returns the hashCode of this `Wire`.

### Method Detail

#### getCapability

    Capability getCapability()

Returns the `Capability` for this wire.

Returns:
  The `Capability` for this wire.

#### getRequirement

    Requirement getRequirement()

Returns the `Requirement` for this wire.

Returns:
  The `Requirement` for this wire.

#### getProvider

    Resource getProvider()

Returns the resource providing the `capability`.

The returned resource may differ from the resource referenced by the `capability`.

Returns:
  The resource providing the capability.

#### getRequirer

    Resource getRequirer()

Returns the resource who `requires` the `capability`.

The returned resource may differ from the resource referenced by the `requirement`.

Returns:
  The resource who requires the capability.

#### equals

    boolean equals(Object obj)

Compares this `Wire` to another `Wire`.

This `Wire` is equal to another `Wire` if they have the same capability, requirement, provider and requirer.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - The object to compare against this `Wire`.
Returns:
  `true` if this `Wire` is equal to the other object; `false` otherwise.

#### hashCode

    int hashCode()

Returns the hashCode of this `Wire`.

Overrides:
  `hashCode` in class `Object`
Returns:
  The hashCode of this `Wire`.